## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaException

### DatabaseSchema::ezcDbSchemaException

### Class ezcDbSchemaException

This class provides an exception container for use with the DatabaseSchema component.

Source for this file: /DatabaseSchema/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcDbSchemaException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDbSchemaInvalidDiffReaderClassException | Exception that is thrown if an invalid class is passed as schema difference reader to the manager.
ezcDbSchemaSqliteDropFieldException | Exception that is thrown if SQLite drop field operation failed for some table.
ezcDbSchemaInvalidReaderClassException | Exception that is thrown if an invalid class is passed as schema reader to the manager.
ezcDbSchemaInvalidSchemaException | Exception that is thrown if an invalid class is passed as schema reader to the manager.
ezcDbSchemaUnknownFormatException | Exception that is thrown if no configuration object has been set to operate on. The operation cannot continue with this object.
ezcDbSchemaDropAllColumnsException | Exception that is thrown when trying to drop all columns in some table.
ezcDbSchemaUnsupportedTypeException | Exception that is thrown if an unsupported field type is encountered.
ezcDbSchemaInvalidDiffWriterClassException | Exception that is thrown if an invalid class is passed as schema writer to the manager.
ezcDbSchemaInvalidWriterClassException | Exception that is thrown if an invalid class is passed as schema writer to the manager.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3